# Android OAuth SDK

**How does Truecaller SDK work for android apps?**

Please refer [here](https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.0.0/implementing-user-flow-for-your-app) for details.

**Can I use Truecaller SDK to verify mobile numbers for all my app users globally?**

Truecaller SDK v3.0 has 2 key functionalities:

* With the **1-tap verification** functionality, you can verify mobile number of any active Truecaller app user (**globally**) on your app.
* With the **missed call based functionality**, you can verify mobile number of any user who may not be an active Truecaller app user. The missed call functionality is currently available for **India** market and on android platform only.

**Where can I find the technical documentation for integration on my android app?**

Please refer to the technical documentation here[^1].

**What is the right way / How do I implement the user flow in my app using Truecaller SDK?**

Please refer [here](https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.0.0/scenarios-for-all-user-verifications-truecaller-and-non-truecaller-users) for details.

**Why do I not get any callback after clicking any CTA on the consent screen.**&#x20;

In this case please check the instance that you pass in the method  below:&#x20;

`TcSdk.getInstance().getAuthorizationCode(this);`

It  should be of the activity/fragment where you have initialized the SDK.

**How can I find the SHA1 of my android app build?**

Please refer here[^1] for details.

**What is the** TcSdk.getInstance().isOAuthFlowUsable() **method used for?**

The isOAuthFlowUsable method, helps you check if the Truecaller SDK can be used for user verification or not. Depending on the "sdkOptions" scope you have defined while initialising the Truecaller SDK ( OPTION\_VERIFY\_ONLY\_TC\_USERS or OPTION\_VERIFY\_ALL\_USERS ), below are the expected results:

OPTION\_VERIFY\_ALL\_USERS: In this case, Truecaller SDK can be used to verify existing Truecaller users as well as non-Truecaller app users ( via missed call/ OTP flow ), hence isUsable() method would always return "true".

OPTION\_VERIFY\_ONLY\_TC\_USERS: In this case, Truecaller SDK can be used to verify only existing Truecaller users, hence isUsable() method would return "true" only if the users have Truecaller SDK on their devices. It would return "false" otherwise.

**How do I fetch the Truecaller user profile after receiving the success callback ?**

Please refer [here](https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.1.0/integration-steps/integrating-with-your-backend).

**Does Truecaller OAuth one tap SDK need any app permission?**

For the verification of existing Truecaller users who have the app present on their smartphones, the SDK does not require any android system permissions, whatsoever.

**How can I test my application with Truecaller SDK integration to make it release ready?**

For details on test scenarios and setup, please refer [here](https://docs.truecaller.com/truecaller-sdk/android/oauth-sdk-3.0.0/getting-release-ready/testing-your-verification-flow).

**Do I need to submit an app permissions declaration form while uploading my app on google play store?**

If you are also using the missed call based ***non Truecaller user verification*** functionality of the SDK ( currently supported for ***India*** only ), you need specific phone permissions as described [here](https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0/integrating-with-your-app/verifying-non-truecaller-users). For submitting your application on Google play store, please refer to our **recommended guidelines** [**here**](https://docs.truecaller.com/truecaller-sdk/android/sdk-v2.8.0/getting-release-ready/google-play-store-app-permissions-declaration)**.**

[^1]:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-sdk/faqs/android-oauth-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
